Bug 858405 - systemd-udevd: failed to execute '/usr/lib/udev/socket:/orf/kernel/dm/multipath_event' socket:/org/kernel/dm/multipath_event' No such file
systemd-udevd: failed to execute '/usr/lib/udev/socket:/orf/kernel/dm/multipa...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: device-mapper-multipath (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 17:59 EDT by Jóhann B. Guðmundsson
Modified: 2012-09-20 14:25 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-19 05:03:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2012-09-18 17:59:40 EDT
Description of problem:

Another udev rule that needs to be fixed/adjusted for anaconda

Version-Release number of selected component (if applicable):

What ever was used to build anaconda 18.6.8 ( alpha )

How reproducible:

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Brian Lane 2012-09-18 18:09:51 EDT
What makes you think this is related to anaconda?
Comment 2 Jóhann B. Guðmundsson 2012-09-18 19:00:26 EDT
note these errors are present *before* and *after* dracut-initqueue: Mounted root filesystem /dev/mapper/live-rw ( dracut -023-21.git20120823.fc18 )
Comment 3 Kay Sievers 2012-09-18 19:19:12 EDT
systemd/udev does not support custom sockets like old versions of udev did.
Tools need to be converted su subscribe directly to the udev events.
Comment 4 Peter Rajnoha 2012-09-19 05:03:57 EDT
The fix has already been included in device-mapper-multipath-0.4.9-29.fc18 and submitted for stable as an update:

  https://admin.fedoraproject.org/updates/FEDORA-2012-12532/

There's also even a newer one for "testing":

  https://admin.fedoraproject.org/updates/FEDORA-2012-13950

Note You need to log in before you can comment on or make changes to this bug.